## org.apache.lucene.document
Class CompressionTools

    java.lang.Object
      org.apache.lucene.document.CompressionTools

    public class CompressionTools

extends java.lang.Object

Simple utility class providing static methods to compress and decompress binary data for stored fields. This class uses java.util.zip.Deflater and Inflater classes to compress and decompress, which is the same format previously used by the now deprecated Field.Store.COMPRESS.

Method Summary
`static byte[]` `compress(byte[] value)` Compresses all bytes in the array, with default BEST_COMPRESSION level
`static byte[]` `compress(byte[] value, int offset, int length)` Compresses the specified byte range, with default BEST_COMPRESSION level
`static byte[]` `compress(byte[] value, int offset, int length, int compressionLevel)` Compresses the specified byte range using the specified compressionLevel (constants are defined in java.util.zip.Deflater).
`static byte[]` `compressString(java.lang.String value)` Compresses the String value, with default BEST_COMPRESSION level
`static byte[]` `compressString(java.lang.String value, int compressionLevel)` Compresses the String value using the specified compressionLevel (constants are defined in java.util.zip.Deflater).
`static byte[]` `decompress(byte[] value)` Decompress the byte array previously returned by compress
`static java.lang.String` `decompressString(byte[] value)` Decompress the byte array previously returned by compressString back into a String

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compress

    public static byte[] compress(byte[] value,
                                  int offset,
                                  int length,
                                  int compressionLevel)

  Compresses the specified byte range using the specified compressionLevel (constants are defined in java.util.zip.Deflater).

### compress

    public static byte[] compress(byte[] value,
                                  int offset,
                                  int length)

  Compresses the specified byte range, with default BEST_COMPRESSION level

### compress

    public static byte[] compress(byte[] value)

  Compresses all bytes in the array, with default BEST_COMPRESSION level

### compressString

    public static byte[] compressString(java.lang.String value)

  Compresses the String value, with default BEST_COMPRESSION level

### compressString

    public static byte[] compressString(java.lang.String value,
                                        int compressionLevel)

  Compresses the String value using the specified compressionLevel (constants are defined in java.util.zip.Deflater).

### decompress

    public static byte[] decompress(byte[] value)
                             throws java.util.zip.DataFormatException

  Decompress the byte array previously returned by compress

  Throws:
    `java.util.zip.DataFormatException`

### decompressString

    public static java.lang.String decompressString(byte[] value)
                                             throws java.util.zip.DataFormatException

  Decompress the byte array previously returned by compressString back into a String

  Throws:
    `java.util.zip.DataFormatException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.